package no.integration.svv.utils.authentication;

public class AuthenticationConstants {

    static final int AUTH_INVALID_NOT_ID_TOKEN_LOGID = 93;
    static final String AUTH_INVALID_NOT_ID_TOKEN_LOGTEKST = "Only 'id_token' is valid";

    static final int AUTH_INVALID_TOKEN_LOGID = 94;
    static final String AUTH_INVALID_TOKEN_LOGTEKST = "Token is invalid";

    static final int AUTH_CACHED_FAILED_LOGID = 95;
    static final String AUTH_CACHED_FAILED_LOGTEKST = "Lookup with cached PublicKey failed";

    static final int AUTH_INCORRECT_CLAIM_LOGID = 96;
    static final String AUTH_INCORRECT_CLAIM_LOGTEKST = "Token does not match expected values";

    static final int AUTH_TOKEN_MISSING_LOGID = 97;
    public static final String AUTH_TOKEN_MISSING_LOGTEKST = "Authorization token value is missing";

    static final int AUTH_ROLE_MISSING_LOGID = 98;
    static final String AUTH_ROLE_MISSING_LOGTEKST = "User does not have access to the service. Missing svvrole";

    static final int AUTH_TOKEN_EXPIRED_LOGID = 99;
    static final String AUTH_TOKEN_EXPIRE_LOGTEKST = "The token has expired on time";

    public static final String AUTH_TOKEN_EMPTY_LOGTEKST = "Authorization token value is empty";

}