package no.integration.svv.utils.mapper;

import no.geointegrasjon.rep.arkiv.kjerne.xml_schema._2012_01.Journalstatus;
import no.geointegrasjon.rep.arkiv.kjerne.xml_schema._2012_01.JournpostSystemID;
import no.geointegrasjon.rep.arkiv.kjerne.xml_schema._2012_01.SystemID;
import no.geointegrasjon.rep.arkiv.oppdatering.xml_wsdl._2012_01.OppdaterJournalpostStatus;
import no.geointegrasjon.rep.felles.teknisk.xml_schema._2012_01.ArkivKontekst;

public class OppJournalpostStatusTestFixure {

    public static OppdaterJournalpostStatus oJpStatusRequest(){

        OppdaterJournalpostStatus geoInput = new OppdaterJournalpostStatus();
        JournpostSystemID journpostSystemID = new JournpostSystemID();
        Journalstatus journalstatus = new Journalstatus();
        SystemID systemID = new SystemID();

        systemID.setId("systemId");
        journpostSystemID.setSystemID(systemID);
        journalstatus.setKodeverdi("JSCode");
        ArkivKontekst kontekst = new ArkivKontekst();
        kontekst.setKlientnavn("KlientName");
        kontekst.setSluttbruker("SluBruk");

        geoInput.setJournalstatus(journalstatus);
        geoInput.setKontekst(kontekst);
        geoInput.setJournalpostnokkel(journpostSystemID);

        return geoInput;
    }

    /**
    *  Response: Has no elements in response
    * */

}
