package no.integration.svv.utils.validator;

import no.integration.svv.exception.ValidationException;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

class RequestValidatorTest {

    @Test
    void validateNySaksmappeRequest() {

        ValidationException thrown = Assertions.assertThrows(ValidationException.class, () -> {
            RequestValidator.validateNySaksmappeRequest(null);

        });
        Assertions.assertEquals("Missing value", thrown.getMessage());

    }
    @Test
    void validateNyJPRequest() {

        ValidationException thrown = Assertions.assertThrows(ValidationException.class, () -> {
            RequestValidator.validateJournalpostRequest(null);

        });
        Assertions.assertEquals("Missing value", thrown.getMessage());

    }
    @Test
    void validateNyDocRequest() {

        ValidationException thrown = Assertions.assertThrows(ValidationException.class, () -> {
            RequestValidator.validateNyDokumentRequest(null);

        });
        Assertions.assertEquals("Missing value", thrown.getMessage());

    }
    @Test
    void validateJPSRequest() {

        ValidationException thrown = Assertions.assertThrows(ValidationException.class, () -> {
            RequestValidator.validateJPStatusRequest(null);

        });
        Assertions.assertEquals("Missing value", thrown.getMessage());

    }
}