package no.integration.svv.exception;

import lombok.Data;

/**
 @author vijayjadhav
 **/

/**
 * Data class to handle errors during data mapping
 */
@Data
public class DataMappingException extends RuntimeException {

    private static final long serialVersionUID = 1L;
    private final String fieldName;
    private final String fieldValue;
    private final String message;
}