package no.integration.svv.utils.validator;

import no.integration.svv.exception.ValidationException;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

class ResponseValidatorTest {

    @Test
    void validateJournalPostResponse() {

        ValidationException thrown = Assertions.assertThrows(ValidationException.class, () -> {
            ResponseValidator.validateJournalPostResponse(null);

        });
        Assertions.assertEquals("Missing value", thrown.getMessage());
    }

    @Test
    void validateSaksmappeResponse() {
        ValidationException thrown = Assertions.assertThrows(ValidationException.class, () -> {
            ResponseValidator.validateSaksmappeResponse(null);

        });
        Assertions.assertEquals("Missing value", thrown.getMessage());
    }

    @Test
    void validateDokumentResponse() {
        ValidationException thrown = Assertions.assertThrows(ValidationException.class, () -> {
            ResponseValidator.validateDokumentResponse(null);

        });
        Assertions.assertEquals("Missing value", thrown.getMessage());
    }

}